PkgConfig::LibPkgConf::Util(3)

NAME
PkgConfig::LibPkgConf::Util - Non OO functions for PkgConfig::LibPkgConf

SYNOPSIS
 use PkgConfig::LibPkgConf::Util qw( argv_split compare_version );

 my @args = argv_split('-L/foo -lfoo'); # ('-L/foo', '-lfoo');
 my $cmp  = compare_version('1.2.3','1.2.4');

DESCRIPTION
This module provides some useful utility functions that come along with "libpkgconf", but are not object oriented and thus do not get their own class.

FUNCTIONS

  argv_split
 my @argv = argv_split $args;

Splits a string into an argument list.

  compare_version
 my $cmp = compare_version($version1, $version2);

Compare versions using RPM version comparison rules as described in the LSB. Returns -1 if the first version is greater, 0 if both versions are equal, 1 if the second version is greater.

  path_relocate
 my $path = path_relocate($path);

Relocates a path, possibly calling realpath() or cygwin_conv_path() on it.

  path_sep
 my $sep = path_sep;

Returns the path separator as understood by "pkgconf". This is usually ":" on UNIX and ";" on Windows.

SUPPORT
IRC #native on irc.perl.org

Project GitHub tracker:

<https://github.com/plicease/PkgConfig-LibPkgConf/issues>

If you want to contribute, please open a pull request on GitHub:

<https://github.com/plicease/PkgConfig-LibPkgConf/pulls>

SEE ALSO
For additional related modules, see PkgConfig::LibPkgConf

AUTHOR
Graham Ollis

For additional contributors see PkgConfig::LibPkgConf

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 Graham Ollis.

This is free software; you may redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.